/******************************************************************************
*******************************************************************************
**                                                                           **
**      C Swing - A graphical file and directory maintenance utility         **
**                                                                           **
*******************************************************************************
**                                                                           **
**      Original C coding by: S. J. Brown                                    **
**                                                                           **
**      Modifications by many others; see the documentation for a list       **
**                                                                           **
**      Copyright 1994, Harry Flowers and Foteos Macrides                    **
**                                                                           **
**      Terms of Copyright:  This software may be freely distributed         **
**          and used by anyone, providing the distributor provides it        **
**          free of charge or at a price which only covers distribution      **
**          costs.  It may not be sold.  Note that versions prior to         **
**          V3.7.4 were public domain, and are not subject to these terms.   **
**                                                                           **
**      Disclaimer: No warranties as to the use or reliability of this       **
**          software are given by the authors or distributors.  Use at       **
**          your own risk.                                                   **
**                                                                           **
*******************************************************************************
******************************************************************************/
/*
** Localfix.c
*/

/*
** Note: This file is for site-specific modifications.  It is not included
** in the build command files, but must be compiled and linked with if you
** decide to use it.
*/

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <unixlib.h>

/*
** sys_getenv()
**      get the logical name or symbol translation
**	capitalize everything before it gets passed into getenv(), since
**	VMS capitalize all its logical name and symbols
**	returns a NULL if it doesn't have a translation
*/
char *sys_getenv(char *input)
{
  int i;

  for (i=0;input[i];i++)
    if (islower((int)input[i])) input[i] = (char) toupper(input[i]);
  return( (char *) getenv(input));
}
